SOLVED: CUPS and 64 bit porteus 2.0

Please reproduce your error on a second machine before posting, and check the error by running without saved changes or extra modules (See FAQ No. 13, "How to report a bug"). For unstable Porteus versions (alpha, beta, rc) please use the relevant thread in our "Development" section.
Post Reply
User avatar
francois
Contributor
Contributor
Posts: 5083
Joined: 28 Dec 2010, 14:25
Distribution: kde xfce porteus manjaro kubun
Location: Enfin l'été, le changement climatique attendu: le soleil.

SOLVED: CUPS and 64 bit porteus 2.0

Post#1 by francois » 09 Mar 2013, 02:13

I have been up to now printing mainly with porteus 32 bit os. Thus its only recently that I have tried to install some printers on 64 bit. Trying to install a printer with the 64 bit drivers on porteus linux 2.0 with the appropriate drivers, I was never able to set it up properly with the gutenprint-ghostscript method:
viewtopic.php?f=39&t=822

Today working on another interface than CUPS, config-system-printer package, I realised that there might be something wrong with the CUPS package installed when I worked with Quax slax 7 printer package. When I used the cups package included in Quax's package that resolved my problem installing a printer under 64 bit porteus version, see:
viewtopic.php?f=61&t=1994

I have the impression that there is something wrong with the CUPS package that we use on porteus. It might be only a small difference into some file of porteus CUPS package of porteus.

Is there other persons having the same problems as I did installing a printer on porteus 64 bit?

Here is the Quax cups package that I used:
http://www.mediafire.com/?rbli7m9bmz4had9

The error was repeatedly found booting from the basic system. Modules were activated only once the os was booted up.
Last edited by francois on 23 Mar 2013, 13:47, edited 3 times in total.
Voltaire: Le mieux est l'ennemi du bien.

User avatar
francois
Contributor
Contributor
Posts: 5083
Joined: 28 Dec 2010, 14:25
Distribution: kde xfce porteus manjaro kubun
Location: Enfin l'été, le changement climatique attendu: le soleil.

Re: CUPS and 64 bit

Post#2 by francois » 09 Mar 2013, 04:17

It seems there is the same problem on v 2.0 32 bit.
Voltaire: Le mieux est l'ennemi du bien.

User avatar
fanthom
Site Admin
Site Admin
Posts: 4621
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: CUPS and 64 bit porteus 2.0

Post#3 by fanthom » 09 Mar 2013, 20:57

hi francois,

cups package comes from slackware repo and is included in Porteus ISO with one modification only:
some files from /usr/doc/cups-1.5.4 were deleted.

please install original slackware package and check if that helps.
Please add [Solved] to your thread title if the solution was found.

User avatar
francois
Contributor
Contributor
Posts: 5083
Joined: 28 Dec 2010, 14:25
Distribution: kde xfce porteus manjaro kubun
Location: Enfin l'été, le changement climatique attendu: le soleil.

Re: CUPS and 64 bit porteus 2.0

Post#4 by francois » 10 Mar 2013, 03:21

Procedure:
A. boot porteus without changes with the needed extra modules in optional folder. These are: to install 1) gutenprint, 2) ghostscript and 3) ghostscript-fonts for 64bit edition, 4) cups-1.5.4-x86_64-2.xzm freshly downloaded from slackware and xzm converted 5) 1720-cups.xzm from Quax (which is I think cups-1.5.4-x86_64-2 (once activated, I run slackyd -g cups and this is what I get).
B. activating 1, 2, 3 and trying to install brother printer MFC-7860DW with generic printer driver pcl6: error message unsupported banner at time of print test page.
C. activating 4, trying to print test page, same error message. Removing the printer, reinstalling the printer. Same error message.
D. activating 5, Quax cups module, same error message. Removing the printer, reinstalling the printer. Printing test page positive.

It is as if Quax is setting something in the same package as we use, but what?

I have mentioned the problem for 32 bit os, brokenman says he is going to look at the differences with Quax module.
viewtopic.php?f=41&t=1998

Salutations distinguées. :)
Voltaire: Le mieux est l'ennemi du bien.

User avatar
Blaze
DEV Team
DEV Team
Posts: 1508
Joined: 28 Dec 2010, 11:31
Distribution: ⟰ Porteus 3.2 Cinnamon x86_64
Location: ☭ Russian Federation, Lipetsk region, Dankov
Contact:

Re: CUPS and 64 bit porteus 2.0

Post#5 by Blaze » 10 Mar 2013, 11:47

francois wrote:Is there other persons having the same problems as I did installing a printer on porteus 64 bit?
I have the same problem. Look at my topic here

I have made the module cups-1-6-1-x86-64-4wsr-xzm from this source cups-1-6-1-tar-bz but it did not help me.
Linux porteus 4.13.3-porteus #1 SMP PREEMPT Sat Sep 23 18:22:13 x86_64 Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz GenuineIntel GNU/Linux
MS-7A12 » [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81) » Vengeance LPX 16GB DDR4 K2 3200MHz C16

User avatar
francois
Contributor
Contributor
Posts: 5083
Joined: 28 Dec 2010, 14:25
Distribution: kde xfce porteus manjaro kubun
Location: Enfin l'été, le changement climatique attendu: le soleil.

Re: CUPS and 64 bit porteus 2.0

Post#6 by francois » 22 Mar 2013, 22:34

Finally, everything is ok. I was just induced on the wrong path by a few member's comments, in addition to using a old version of gutenprint that worked with previous porteus version 1.2. See printing:
viewtopic.php?f=81&t=1873&start=45

Sorry about that. :oops:
Voltaire: Le mieux est l'ennemi du bien.

User avatar
fanthom
Site Admin
Site Admin
Posts: 4621
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: CUPS and 64 bit porteus 2.0

Post#7 by fanthom » 23 Mar 2013, 09:51

please add [SOLVED] to the thread title.

taking this opportunity i'll remind about main rule when upgrading Porteus (i believe it applies to every other linux distros as well):

Code: Select all

- when you upgrade between major Porteus releases (1.x->2.x, 2.x -> 3.x) then you must upgrade your ALL existing modules. you should also start with fresh save.dat as settings may not be compatible anymore.
- when you upgrade between minor Porteus releases (2.x -> 2.x) then everything should work out of the box but still some incompatibility may happen.
Please add [Solved] to your thread title if the solution was found.

Post Reply